Bug 336524 - WindowThumbnail should have a property or invokable to read 'thumbnail not available' state
Summary: WindowThumbnail should have a property or invokable to read 'thumbnail not av...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Unclassified
Component: components (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Martin Flöser
URL:
Keywords:
Depends on:
Blocks: 332003
  Show dependency treegraph
 
Reported: 2014-06-20 21:27 UTC by Eike Hein
Modified: 2014-11-03 09:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2014-06-20 21:27:22 UTC
As discussed in bug 332003, there are circumstances when thumbnail data is simply not available to the WindowThumbnail component. It would be nice if the component had a property or invokable to explicitly communicate this event to users, so visualizations can react appropriately, e.g. by hiding or replacing the thumbnail component.

Reproducible: Always
Comment 1 Eike Hein 2014-06-20 21:27:57 UTC
Assigning to Martin.
Comment 2 Kai Uwe Broulik 2014-11-03 09:13:15 UTC
Git commit ce1ba8a6879114b35632f4f0aff4982a2b7ab719 by Kai Uwe Broulik.
Committed on 03/11/2014 at 09:11.
Pushed by broulik into branch 'master'.

Add thumbnailAvailable property to PlasmaCore.WindowThumbnail

This property tells us whether a thumbnail is actually being rendered or it has
fallen back to the window icon

REVIEW: 120946

M  +16   -0    src/declarativeimports/core/windowthumbnail.cpp
M  +6    -0    src/declarativeimports/core/windowthumbnail.h

http://commits.kde.org/plasma-framework/ce1ba8a6879114b35632f4f0aff4982a2b7ab719